Loading...
Searching...
No Matches
OgrePlatform.h File Reference
`#include "OgreConfig.h"`
`#include "OgreExports.h"`
`#include <stdint.h>`

## Namespaces

namespace | Ogre

## Macros

#define | DECL_MALLOC __declspec(restrict) __declspec(noalias)
#define | OGRE_ALIGNED_DECL(type, var, alignment)
#define | OGRE_ARCH_TYPE OGRE_ARCHITECTURE_32
#define | OGRE_ARCHITECTURE_32 1
#define | OGRE_ARCHITECTURE_64 2
#define | OGRE_BUILD_SUFFIX ""
#define | OGRE_COMPILER_CLANG 3
#define | OGRE_COMPILER_GNUC 2
#define | OGRE_COMPILER_MIN_VERSION(COMPILER, VERSION)
#define | OGRE_COMPILER_MSVC 1
#define | OGRE_CPU OGRE_CPU_UNKNOWN
#define | OGRE_CPU_ARM 3
#define | OGRE_CPU_MIPS 4
#define | OGRE_CPU_PPC 2
#define | OGRE_CPU_UNKNOWN 0
#define | OGRE_CPU_X86 1
#define | OGRE_DEFAULT_LOCALE "C"
#define | OGRE_ENDIAN OGRE_ENDIAN_LITTLE
#define | OGRE_ENDIAN OGRE_ENDIAN_LITTLE
#define | OGRE_ENDIAN_BIG 2
#define | OGRE_ENDIAN_LITTLE 1
#define | OGRE_FALLTHROUGH
#define | OGRE_FORCE_INLINE __inline
#define | OGRE_NODISCARD __attribute__((__warn_unused_result__))
#define | OGRE_NORETURN __declspec(noreturn)
#define | OGRE_PLATFORM OGRE_PLATFORM_LINUX
#define | OGRE_PLATFORM_ANDROID 5
#define | OGRE_PLATFORM_APPLE 3
#define | OGRE_PLATFORM_APPLE_IOS 4
#define | OGRE_PLATFORM_EMSCRIPTEN 8
#define | OGRE_PLATFORM_LINUX 2
#define | OGRE_PLATFORM_WIN32 1
#define | OGRE_PLATFORM_WINRT 7
#define | OGRE_QUOTE(x)
#define | OGRE_QUOTE_INPLACE(x)
#define | OGRE_SIMD_ALIGNED_DECL(type, var)
#define | OGRE_SIMD_ALIGNMENT 16
| Find perfect alignment (should supports SIMD alignment if SIMD available).
#define | OGRE_WARN(x)

## Typedefs

typedef int16_t | Ogre::int16
typedef int32_t | Ogre::int32
typedef int64_t | Ogre::int64
typedef int8_t | Ogre::int8
typedef uint16_t | Ogre::uint16
typedef uint32_t | Ogre::uint32
typedef uint64_t | Ogre::uint64
typedef uint8_t | Ogre::uint8

## Macro Definition Documentation

## OGRE_PLATFORM_WIN32

#define OGRE_PLATFORM_WIN32 1

## OGRE_PLATFORM_LINUX

#define OGRE_PLATFORM_LINUX 2

## OGRE_PLATFORM_APPLE

#define OGRE_PLATFORM_APPLE 3

## OGRE_PLATFORM_APPLE_IOS

#define OGRE_PLATFORM_APPLE_IOS 4

## OGRE_PLATFORM_ANDROID

#define OGRE_PLATFORM_ANDROID 5

## OGRE_PLATFORM_WINRT

#define OGRE_PLATFORM_WINRT 7

## OGRE_PLATFORM_EMSCRIPTEN

#define OGRE_PLATFORM_EMSCRIPTEN 8

## OGRE_COMPILER_MSVC

#define OGRE_COMPILER_MSVC 1

## OGRE_COMPILER_GNUC

#define OGRE_COMPILER_GNUC 2

## OGRE_COMPILER_CLANG

#define OGRE_COMPILER_CLANG 3

## OGRE_ENDIAN_LITTLE

#define OGRE_ENDIAN_LITTLE 1

## OGRE_ENDIAN_BIG

#define OGRE_ENDIAN_BIG 2

## OGRE_ARCHITECTURE_32

#define OGRE_ARCHITECTURE_32 1

## OGRE_ARCHITECTURE_64

#define OGRE_ARCHITECTURE_64 2

## OGRE_CPU_UNKNOWN

#define OGRE_CPU_UNKNOWN 0

## OGRE_CPU_X86

#define OGRE_CPU_X86 1

## OGRE_CPU_PPC

#define OGRE_CPU_PPC 2

## OGRE_CPU_ARM

#define OGRE_CPU_ARM 3

## OGRE_CPU_MIPS

#define OGRE_CPU_MIPS 4

## OGRE_CPU

#define OGRE_CPU OGRE_CPU_UNKNOWN

## OGRE_ENDIAN [1/2]

#define OGRE_ENDIAN OGRE_ENDIAN_LITTLE

## OGRE_COMPILER_MIN_VERSION

#define OGRE_COMPILER_MIN_VERSION | ( |  | COMPILER,
|  |  | VERSION )

Value:
(OGRE_COMPILER == (COMPILER) && OGRE_COMP_VER >= (VERSION))

## OGRE_FORCE_INLINE

#define OGRE_FORCE_INLINE __inline

Referenced by Ogre::advanceRawPointer(), Ogre::advanceRawPointer(), Ogre::Bitwise::bswap16(), Ogre::Bitwise::bswap32(), Ogre::Bitwise::bswap64(), Ogre::Bitwise::firstPO2From(), Ogre::Bitwise::getBitShift(), Ogre::Bitwise::isPO2(), Ogre::Bitwise::mostSignificantBitSet(), Ogre::rawOffsetPointer(), and Ogre::rawOffsetPointer().

## OGRE_FALLTHROUGH

#define OGRE_FALLTHROUGH

## OGRE_NODISCARD

#define OGRE_NODISCARD __attribute__((__warn_unused_result__))

Referenced by Ogre::KeyFrame::_clone(), Ogre::Animation::clone(), Ogre::EdgeData::clone(), Ogre::Pose::clone(), Ogre::VertexData::clone(), Ogre::VertexDeclaration::clone(), Ogre::PageStrategy::createData(), Ogre::ArchiveFactory::createInstance(), Ogre::ArchiveFactory::createInstance(), Ogre::RTShader::SubRenderStateFactory::createInstance(), Ogre::RTShader::SubRenderStateFactory::createInstance(), Ogre::RTShader::SubRenderStateFactory::createInstance(), Ogre::RTShader::SubRenderStateFactory::createInstance(), Ogre::RTShader::SubRenderStateFactory::createInstance(), Ogre::SimplePageContentCollectionFactory::createInstance(), and Ogre::OverlayElementFactory::createOverlayElement().

## OGRE_NORETURN

#define OGRE_NORETURN __declspec(noreturn)

Referenced by Ogre::ExceptionFactory::throwException().

## OGRE_PLATFORM

#define OGRE_PLATFORM OGRE_PLATFORM_LINUX

## OGRE_ARCH_TYPE

#define OGRE_ARCH_TYPE OGRE_ARCHITECTURE_32

## OGRE_ALIGNED_DECL

#define OGRE_ALIGNED_DECL | ( |  | type,
|  |  | var,
|  |  | alignment )

Value:
__declspec(align(alignment)) type var

## OGRE_SIMD_ALIGNMENT

#define OGRE_SIMD_ALIGNMENT 16

Find perfect alignment (should supports SIMD alignment if SIMD available).

## OGRE_SIMD_ALIGNED_DECL

#define OGRE_SIMD_ALIGNED_DECL | ( |  | type,
|  |  | var )

Value:
OGRE_ALIGNED_DECL(type, var, OGRE_SIMD_ALIGNMENT)
OGRE_SIMD_ALIGNMENT
#define OGRE_SIMD_ALIGNMENT
Find perfect alignment (should supports SIMD alignment if SIMD available).
Definition OgrePlatform.h:193
OGRE_ALIGNED_DECL
#define OGRE_ALIGNED_DECL(type, var, alignment)
Definition OgrePlatform.h:185

## OGRE_QUOTE_INPLACE

#define OGRE_QUOTE_INPLACE | ( |  | x | ) |

Value:
# x

## OGRE_QUOTE

#define OGRE_QUOTE | ( |  | x | ) |

Value:
OGRE_QUOTE_INPLACE(x)
OGRE_QUOTE_INPLACE
#define OGRE_QUOTE_INPLACE(x)
Definition OgrePlatform.h:202

## OGRE_WARN

#define OGRE_WARN | ( |  | x | ) |

Value:
message( __FILE__ "(" QUOTE( __LINE__ ) ") : " x "\n" )

## OGRE_ENDIAN [2/2]

#define OGRE_ENDIAN OGRE_ENDIAN_LITTLE

## OGRE_DEFAULT_LOCALE

#define OGRE_DEFAULT_LOCALE "C"

## OGRE_BUILD_SUFFIX

#define OGRE_BUILD_SUFFIX ""

## DECL_MALLOC

#define DECL_MALLOC __declspec(restrict) __declspec(noalias)

Referenced by Ogre::AlignedMemory::allocate(), and Ogre::AlignedMemory::allocate().